beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: beam_PerformanceTests_Python #1432
Date Thu, 13 Sep 2018 12:18:31 GMT
See <https://builds.apache.org/job/beam_PerformanceTests_Python/1432/display/redirect?page=changes>

Changes:

[ankurgoenka] Add Reference runner support for add state stream

[github] Making WAIT_MS constant

[ankurgoenka] Renaming the flink portable validates runner jenkins task

[shinsuke] [BEAM-5370] Set a cause exception in ElasticsearchIO#getBackendVersion

------------------------------------------
Started by timer
[EnvInject] - Loading node environment variables.
Building remotely on beam7 (beam) in workspace <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/>
 > git rev-parse --is-inside-work-tree # timeout=10
Fetching changes from the remote Git repository
 > git config remote.origin.url https://github.com/apache/beam.git # timeout=10
Fetching upstream changes from https://github.com/apache/beam.git
 > git --version # timeout=10
 > git fetch --tags --progress https://github.com/apache/beam.git +refs/heads/*:refs/remotes/origin/*
+refs/pull/${ghprbPullId}/*:refs/remotes/origin/pr/${ghprbPullId}/*
 > git rev-parse origin/master^{commit} # timeout=10
Checking out Revision 41a1362277691746b9828ba5637e08f2c6ec6d31 (origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 41a1362277691746b9828ba5637e08f2c6ec6d31
Commit message: "Merge pull request #6340: [BEAM-5283] Fixing Flink Post commit jenkins task"
 > git rev-list --no-walk ea84152513f8bff33a107ae8f13c893eec486bb4 # timeout=10
Cleaning workspace
 > git rev-parse --verify HEAD # timeout=10
Resetting working tree
 > git reset --hard # timeout=10
 > git clean -fdx # timeout=10
[EnvInject] - Executing scripts and injecting environment variables after the SCM step.
[EnvInject] - Injecting as environment variables the properties content 
SPARK_LOCAL_IP=127.0.0.1

[EnvInject] - Variables injected successfully.
[beam_PerformanceTests_Python] $ /bin/bash -xe /tmp/jenkins2161029272397218140.sh
+ rm -rf <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker>
[beam_PerformanceTests_Python] $ /bin/bash -xe /tmp/jenkins2710877817981428961.sh
+ rm -rf <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/env/.perfkit_env>
[beam_PerformanceTests_Python] $ /bin/bash -xe /tmp/jenkins2144326550324265020.sh
+ virtualenv <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/env/.perfkit_env>
New python executable in <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/env/.perfkit_env/bin/python2>
Also creating executable in <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/env/.perfkit_env/bin/python>
Installing setuptools, pkg_resources, pip, wheel...done.
Running virtualenv with interpreter /usr/bin/python2
[beam_PerformanceTests_Python] $ /bin/bash -xe /tmp/jenkins6702190502857551813.sh
+ <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/env/.perfkit_env/bin/pip>
install --upgrade setuptools pip
Requirement already up-to-date: setuptools in ./env/.perfkit_env/lib/python2.7/site-packages
(40.2.0)
Requirement already up-to-date: pip in ./env/.perfkit_env/lib/python2.7/site-packages (18.0)
[beam_PerformanceTests_Python] $ /bin/bash -xe /tmp/jenkins2230219528791960364.sh
+ git clone https://github.com/GoogleCloudPlatform/PerfKitBenchmarker.git <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker>
Cloning into '<https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker'...>
[beam_PerformanceTests_Python] $ /bin/bash -xe /tmp/jenkins357472592550134044.sh
+ <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/env/.perfkit_env/bin/pip>
install -r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
Collecting absl-py (from -r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 14))
Collecting jinja2>=2.7 (from -r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 15))
  Using cached https://files.pythonhosted.org/packages/7f/ff/ae64bacdfc95f27a016a7bed8e8686763ba4d277a78ca76f32659220a731/Jinja2-2.10-py2.py3-none-any.whl
Requirement already satisfied: setuptools in ./env/.perfkit_env/lib/python2.7/site-packages
(from -r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 16)) (40.2.0)
Collecting colorlog[windows]==2.6.0 (from -r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 17))
  Using cached https://files.pythonhosted.org/packages/59/1a/46a1bf2044ad8b30b52fed0f389338c85747e093fe7f51a567f4cb525892/colorlog-2.6.0-py2.py3-none-any.whl
Collecting blinker>=1.3 (from -r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 18))
Collecting futures>=3.0.3 (from -r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 19))
  Using cached https://files.pythonhosted.org/packages/2d/99/b2c4e9d5a30f6471e410a146232b4118e697fa3ffc06d6a65efde84debd0/futures-3.2.0-py2-none-any.whl
Collecting PyYAML==3.12 (from -r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 20))
Collecting pint>=0.7 (from -r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 21))
Collecting numpy==1.13.3 (from -r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 22))
  Using cached https://files.pythonhosted.org/packages/eb/be/737f3df5806192ac4096e549e48c8c76cfaa2fb880a1c62a7bb085adaa9b/numpy-1.13.3-cp27-cp27mu-manylinux1_x86_64.whl
Collecting functools32 (from -r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 23))
Collecting contextlib2>=0.5.1 (from -r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 24))
  Using cached https://files.pythonhosted.org/packages/a2/71/8273a7eeed0aff6a854237ab5453bc9aa67deb49df4832801c21f0ff3782/contextlib2-0.5.5-py2.py3-none-any.whl
Collecting pywinrm (from -r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 25))
  Using cached https://files.pythonhosted.org/packages/0d/12/13a3117bbd2230043aa32dcfa2198c33269665eaa1a8fa26174ce49b338f/pywinrm-0.3.0-py2.py3-none-any.whl
Collecting timeout-decorator (from -r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 26))
Collecting six (from absl-py->-r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 14))
  Using cached https://files.pythonhosted.org/packages/67/4b/141a581104b1f6397bfa78ac9d43d8ad29a7ca43ea90a2d863fe3056e86a/six-1.11.0-py2.py3-none-any.whl
Collecting MarkupSafe>=0.23 (from jinja2>=2.7->-r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 15))
Collecting colorama; extra == "windows" (from colorlog[windows]==2.6.0->-r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 17))
  Using cached https://files.pythonhosted.org/packages/db/c8/7dcf9dbcb22429512708fe3a547f8b6101c0d02137acbd892505aee57adf/colorama-0.3.9-py2.py3-none-any.whl
Collecting requests-ntlm>=0.3.0 (from pywinrm->-r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 25))
  Using cached https://files.pythonhosted.org/packages/03/4b/8b9a1afde8072c4d5710d9fa91433d504325821b038e00237dc8d6d833dc/requests_ntlm-1.1.0-py2.py3-none-any.whl
Collecting requests>=2.9.1 (from pywinrm->-r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 25))
  Using cached https://files.pythonhosted.org/packages/65/47/7e02164a2a3db50ed6d8a6ab1d6d60b69c4c3fdf57a284257925dfc12bda/requests-2.19.1-py2.py3-none-any.whl
Collecting xmltodict (from pywinrm->-r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 25))
  Using cached https://files.pythonhosted.org/packages/42/a9/7e99652c6bc619d19d58cdd8c47560730eb5825d43a7e25db2e1d776ceb7/xmltodict-0.11.0-py2.py3-none-any.whl
Collecting cryptography>=1.3 (from requests-ntlm>=0.3.0->pywinrm->-r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 25))
  Using cached https://files.pythonhosted.org/packages/87/e6/915a482dbfef98bbdce6be1e31825f591fc67038d4ee09864c1d2c3db371/cryptography-2.3.1-cp27-cp27mu-manylinux1_x86_64.whl
Collecting ntlm-auth>=1.0.2 (from requests-ntlm>=0.3.0->pywinrm->-r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 25))
  Using cached https://files.pythonhosted.org/packages/8e/5b/4047779fb456b0de503c4acb7b166becf2567efb772abb53998440791d3c/ntlm_auth-1.2.0-py2.py3-none-any.whl
Collecting certifi>=2017.4.17 (from requests>=2.9.1->pywinrm->-r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 25))
  Using cached https://files.pythonhosted.org/packages/df/f7/04fee6ac349e915b82171f8e23cee63644d83663b34c539f7a09aed18f9e/certifi-2018.8.24-py2.py3-none-any.whl
Collecting chardet<3.1.0,>=3.0.2 (from requests>=2.9.1->pywinrm->-r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 25))
  Using cached https://files.pythonhosted.org/packages/bc/a9/01ffebfb562e4274b6487b4bb1ddec7ca55ec7510b22e4c51f14098443b8/chardet-3.0.4-py2.py3-none-any.whl
Collecting urllib3<1.24,>=1.21.1 (from requests>=2.9.1->pywinrm->-r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 25))
  Using cached https://files.pythonhosted.org/packages/bd/c9/6fdd990019071a4a32a5e7cb78a1d92c53851ef4f56f62a3486e6a7d8ffb/urllib3-1.23-py2.py3-none-any.whl
Collecting idna<2.8,>=2.5 (from requests>=2.9.1->pywinrm->-r <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 25))
  Using cached https://files.pythonhosted.org/packages/4b/2a/0276479a4b3caeb8a8c1af2f8e4355746a97fab05a372e4a2c6a6b876165/idna-2.7-py2.py3-none-any.whl
Collecting enum34; python_version < "3" (from cryptography>=1.3->requests-ntlm>=0.3.0->pywinrm->-r
<https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 25))
  Using cached https://files.pythonhosted.org/packages/c5/db/e56e6b4bbac7c4a06de1c50de6fe1ef3810018ae11732a50f15f62c7d050/enum34-1.1.6-py2-none-any.whl
Collecting asn1crypto>=0.21.0 (from cryptography>=1.3->requests-ntlm>=0.3.0->pywinrm->-r
<https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 25))
  Using cached https://files.pythonhosted.org/packages/ea/cd/35485615f45f30a510576f1a56d1e0a7ad7bd8ab5ed7cdc600ef7cd06222/asn1crypto-0.24.0-py2.py3-none-any.whl
Collecting cffi!=1.11.3,>=1.7 (from cryptography>=1.3->requests-ntlm>=0.3.0->pywinrm->-r
<https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 25))
  Using cached https://files.pythonhosted.org/packages/14/dd/3e7a1e1280e7d767bd3fa15791759c91ec19058ebe31217fe66f3e9a8c49/cffi-1.11.5-cp27-cp27mu-manylinux1_x86_64.whl
Collecting ipaddress; python_version < "3" (from cryptography>=1.3->requests-ntlm>=0.3.0->pywinrm->-r
<https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 25))
  Using cached https://files.pythonhosted.org/packages/fc/d0/7fc3a811e011d4b388be48a0e381db8d990042df54aa4ef4599a31d39853/ipaddress-1.0.22-py2.py3-none-any.whl
Collecting pycparser (from cffi!=1.11.3,>=1.7->cryptography>=1.3->requests-ntlm>=0.3.0->pywinrm->-r
<https://builds.apache.org/job/beam_PerformanceTests_Python/ws/PerfKitBenchmarker/requirements.txt>
(line 25))
Installing collected packages: six, absl-py, MarkupSafe, jinja2, colorama, colorlog, blinker,
futures, PyYAML, pint, numpy, functools32, contextlib2, certifi, chardet, urllib3, idna, requests,
enum34, asn1crypto, pycparser, cffi, ipaddress, cryptography, ntlm-auth, requests-ntlm, xmltodict,
pywinrm, timeout-decorator
Successfully installed MarkupSafe-1.0 PyYAML-3.12 absl-py-0.4.1 asn1crypto-0.24.0 blinker-1.4
certifi-2018.8.24 cffi-1.11.5 chardet-3.0.4 colorama-0.3.9 colorlog-2.6.0 contextlib2-0.5.5
cryptography-2.3.1 enum34-1.1.6 functools32-3.2.3.post2 futures-3.2.0 idna-2.7 ipaddress-1.0.22
jinja2-2.10 ntlm-auth-1.2.0 numpy-1.13.3 pint-0.8.1 pycparser-2.18 pywinrm-0.3.0 requests-2.19.1
requests-ntlm-1.1.0 six-1.11.0 timeout-decorator-0.4.0 urllib3-1.23 xmltodict-0.11.0
[beam_PerformanceTests_Python] $ /bin/bash -xe /tmp/jenkins5557398509533969169.sh
+ rm -rf <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/env/.beam_env>
[beam_PerformanceTests_Python] $ /bin/bash -xe /tmp/jenkins9127102950100581311.sh
+ virtualenv <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/env/.beam_env>
New python executable in <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/env/.beam_env/bin/python2>
Also creating executable in <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/env/.beam_env/bin/python>
Installing setuptools, pkg_resources, pip, wheel...done.
Running virtualenv with interpreter /usr/bin/python2
[beam_PerformanceTests_Python] $ /bin/bash -xe /tmp/jenkins2466275423294199570.sh
+ <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/env/.beam_env/bin/pip>
install --upgrade setuptools pip grpcio-tools==1.3.5
Requirement already up-to-date: setuptools in ./env/.beam_env/lib/python2.7/site-packages
(40.2.0)
Requirement already up-to-date: pip in ./env/.beam_env/lib/python2.7/site-packages (18.0)
Collecting grpcio-tools==1.3.5
  Using cached https://files.pythonhosted.org/packages/05/f6/0296e29b1bac6f85d2a8556d48adf825307f73109a3c2c17fb734292db0a/grpcio_tools-1.3.5-cp27-cp27mu-manylinux1_x86_64.whl
Collecting grpcio>=1.3.5 (from grpcio-tools==1.3.5)
  Using cached https://files.pythonhosted.org/packages/3d/15/b34114198a2bc9c9bb73b21e2b559468a1a68bb28b373d21da6e51d6204f/grpcio-1.15.0-cp27-cp27mu-manylinux1_x86_64.whl
Collecting protobuf>=3.2.0 (from grpcio-tools==1.3.5)
  Using cached https://files.pythonhosted.org/packages/b8/c2/b7f587c0aaf8bf2201405e8162323037fe8d17aa21d3c7dda811b8d01469/protobuf-3.6.1-cp27-cp27mu-manylinux1_x86_64.whl
Collecting six>=1.5.2 (from grpcio>=1.3.5->grpcio-tools==1.3.5)
  Using cached https://files.pythonhosted.org/packages/67/4b/141a581104b1f6397bfa78ac9d43d8ad29a7ca43ea90a2d863fe3056e86a/six-1.11.0-py2.py3-none-any.whl
Collecting enum34>=1.0.4 (from grpcio>=1.3.5->grpcio-tools==1.3.5)
  Using cached https://files.pythonhosted.org/packages/c5/db/e56e6b4bbac7c4a06de1c50de6fe1ef3810018ae11732a50f15f62c7d050/enum34-1.1.6-py2-none-any.whl
Collecting futures>=2.2.0 (from grpcio>=1.3.5->grpcio-tools==1.3.5)
  Using cached https://files.pythonhosted.org/packages/2d/99/b2c4e9d5a30f6471e410a146232b4118e697fa3ffc06d6a65efde84debd0/futures-3.2.0-py2-none-any.whl
Installing collected packages: six, enum34, futures, grpcio, protobuf, grpcio-tools
Successfully installed enum34-1.1.6 futures-3.2.0 grpcio-1.15.0 grpcio-tools-1.3.5 protobuf-3.6.1
six-1.11.0
[beam_PerformanceTests_Python] $ /bin/bash -xe /tmp/jenkins730507003483834879.sh
+ <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/env/.beam_env/bin/pip>
install -e '<https://builds.apache.org/job/beam_PerformanceTests_Python/ws/src/sdks/python/[gcp,test]'>
Obtaining file://<https://builds.apache.org/job/beam_PerformanceTests_Python/ws/src/sdks/python>
    Complete output from command python setup.py egg_info:
    <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/env/.beam_env/local/lib/python2.7/site-packages/setuptools/dist.py>:398:
UserWarning: Normalizing '2.8.0.dev' to '2.8.0.dev0'
      normalized_version,
    running egg_info
    Requirement already satisfied: future==0.16.0 in /home/jenkins/.local/lib/python2.7/site-packages
(0.16.0)
    gapic-google-cloud-pubsub-v1 0.15.4 has requirement oauth2client<4.0dev,>=2.0.0,
but you'll have oauth2client 4.1.2 which is incompatible.
    proto-google-cloud-datastore-v1 0.90.4 has requirement oauth2client<4.0dev,>=2.0.0,
but you'll have oauth2client 4.1.2 which is incompatible.
    proto-google-cloud-pubsub-v1 0.15.4 has requirement oauth2client<4.0dev,>=2.0.0,
but you'll have oauth2client 4.1.2 which is incompatible.
    googledatastore 7.0.1 has requirement httplib2<0.10,>=0.9.1, but you'll have httplib2
0.11.3 which is incompatible.
    googledatastore 7.0.1 has requirement oauth2client<4.0.0,>=2.0.1, but you'll have
oauth2client 4.1.2 which is incompatible.
    You are using pip version 10.0.1, however version 18.0 is available.
    You should consider upgrading via the 'pip install --upgrade pip' command.
    error: [Errno 2] No such file or directory
    
    ----------------------------------------
Command "python setup.py egg_info" failed with error code 1 in <https://builds.apache.org/job/beam_PerformanceTests_Python/ws/src/sdks/python/>
Build step 'Execute shell' marked build as failure

Mime
View raw message